Name: ruby-jabber4r
Version: 0.6.0
Release: alt1
Summary: Jabber4r Ruby Jabber client library
Summary(ru_RU.KOI8-R): Jabber4r -  Ruby   Jabber-
License: BSD-like
Group: Development/Ruby
Url: http://jabber4r.rubyforge.net/
Packager: Mikhail Yakshin <greycat@altlinux.org>
Source0: %name-%version.tar.gz
Patch: %name-echo.patch.gz
Requires: ruby-stdlibs >= 1.8.1
AutoReq: yes, noshell
BuildArch: noarch

# Automatically added by buildreq on Fri Feb 27 2004
BuildRequires: ruby ruby-stdlibs libruby-devel

%description 
This library was created to allow a Ruby application to connect to an
existing Jabber account as an additional resource. It was written for
ease of use, not completeness. It does support:

* Account registration
* Connection to an account (digest/plain text)
* Access to Roster (buddy list)
* Tracking of presence of resources in the Roster
* Sending and receiving messages
* Requesting VCards
* Managing subscriptions

%description -l ru_RU.KOI8-R
     ,     Ruby
   Jabber-   .  
    ,    .
:

*  
*      (digest/plain text)
*    ( )
*      
*    
*  VCards
*   

%prep
%setup -q -n jabber4r
%patch -p1

%build
cd lib/jabber4r
rdoc -o ../../html

%install
%__mkdir_p %buildroot%ruby_sitelibdir/jabber4r
%__cp -r lib/jabber4r %buildroot%ruby_sitelibdir
%__rm %buildroot%ruby_sitelibdir/jabber4r/LICENSE.txt  # no need for second copy
%__rm %buildroot%ruby_sitelibdir/jabber4r/rexml_1.8_patch.rb  # we just require ruby>=1.8.1

%files
%ruby_sitelibdir/*
%doc README LICENSE.txt examples/ html/

%changelog
* Sun Mar 28 2004 Mikhail Yakshin <greycat@altlinux.org> 0.6.0-alt1
- 0.6.0

* Fri Feb 27 2004 Mikhail Yakshin <greycat@altlinux.org> 0.5-alt2.cvs20030921
- Fixed build process for hasher

* Sat Nov  8 2003 Mikhail Yakshin <greycat@altlinux.org> 0.5-alt1.cvs20030921
- Fixed packager e-mail

* Mon Sep 22 2003 Mikhail Yakshin <gc@nm.ru> 0.5-alt0.cvs20030921
- Initial build for ALT Linux
